[wdmaudiodev] Re: New warning/error in Win 1809 1296: Specified service not associated with hardware

  • From: Tim Roberts <timr@xxxxxxxxx>
  • To: wdmaudiodev@xxxxxxxxxxxxx
  • Date: Wed, 20 Mar 2019 09:31:41 -0700

Vincent Wang wrote:

I'm getting this warning when I build my driver, the inf in my code looks like

[ApoComponents.NTamd64]
%Apo.ComponentDesc% = APO_Install,SWC\VEN_XXXX&AID_YYYY2
...
The warning says:

Hardware 'AAA APO' does not have an associated service using install section 'APO_Install'.

This is a warning, but it seems impact the DCH in the Declarative requirement.
Before updating to WDK 1809, seems everything works fine

There isn't any info I'm aware apart from the above URL. Not sure what exactly it is expecting..


It is expecting there to be an [APO_Install.Service] or [APO_Install.NTamd64.Service] section, in which you configure the primary driver for your device.  Without that, no kernel driver will be loaded.


Is this one of your sysvad-derived devices?

--
Tim Roberts, timr@xxxxxxxxx
Providenza & Boekelheide, Inc.

Attachment: smime.p7s
Description: S/MIME Cryptographic Signature

Other related posts: